[arch-commits] CVS update of extra/gnome/vte (2 files)

Jan de Groot jgc at archlinux.org
Thu Jun 21 15:38:03 EDT 2007


    Date: Thursday, June 21, 2007 @ 15:38:03
  Author: jgc
    Path: /home/cvs-extra/extra/gnome/vte

   Added: vte-0.16.0-reaper-python-bindings.patch (1.1)
Modified: PKGBUILD (1.30 -> 1.31)

upgpkg: vte 0.16.6-1
Add patch for bug 7476


-----------------------------------------+
 PKGBUILD                                |   12 ++---
 vte-0.16.0-reaper-python-bindings.patch |   62 ++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+), 6 deletions(-)


Index: extra/gnome/vte/PKGBUILD
diff -u extra/gnome/vte/PKGBUILD:1.30 extra/gnome/vte/PKGBUILD:1.31
--- extra/gnome/vte/PKGBUILD:1.30	Wed May 30 15:29:55 2007
+++ extra/gnome/vte/PKGBUILD	Thu Jun 21 15:38:03 2007
@@ -1,9 +1,9 @@
-# $Id: PKGBUILD,v 1.30 2007/05/30 19:29:55 jgc Exp $
+# $Id: PKGBUILD,v 1.31 2007/06/21 19:38:03 jgc Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=vte
-pkgver=0.16.4
-pkgrel=2
+pkgver=0.16.6
+pkgrel=1
 pkgdesc="VTE - Virtual Terminal Emulator"
 arch=(i686 x86_64)
 license=('LGPL')
@@ -12,12 +12,12 @@
 makedepends=('pygtk>=2.10.4' 'pkgconfig' 'perlxml')
 url="http://www.gnome.org"
 source=(http://ftp.gnome.org/pub/GNOME/sources/vte/0.16/vte-${pkgver}.tar.bz2
-	vte-0.16.4-fix-aliens.patch)
-md5sums=('495149d3c81168895293fc4db19a5eeb')
+	vte-0.16.0-reaper-python-bindings.patch)
+md5sums=('4c627eda26c63cf76cdabce56e247d91')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
-  patch -Np1 -i ${startdir}/src/vte-0.16.4-fix-aliens.patch || return 1
+  patch -Np1 -i ${startdir}/src/vte-0.16.0-reaper-python-bindings.patch || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
               --libexecdir=/usr/lib/vte \
               --localstatedir=/var --disable-static
Index: extra/gnome/vte/vte-0.16.0-reaper-python-bindings.patch
diff -u /dev/null extra/gnome/vte/vte-0.16.0-reaper-python-bindings.patch:1.1
--- /dev/null	Thu Jun 21 15:38:03 2007
+++ extra/gnome/vte/vte-0.16.0-reaper-python-bindings.patch	Thu Jun 21 15:38:03 2007
@@ -0,0 +1,62 @@
+diff -NarU 3 vte-0.16.0.orig/python/vte.defs vte-0.16.0/python/vte.defs
+--- vte-0.16.0.orig/python/vte.defs	2007-02-26 22:05:02.000000000 +0100
++++ vte-0.16.0/python/vte.defs	2007-03-14 20:44:55.000000000 +0100
+@@ -7,6 +7,14 @@
+   (gtype-id "VTE_TYPE_TERMINAL")
+ )
+ 
++(define-object Reaper
++  (in-module "Vte")
++  (parent "GObject")
++  (c-name "VteReaper")
++  (gtype-id "VTE_TYPE_REAPER")
++)
++
++
+ ;; Enumerations and flags ...
+ 
+ (define-enum TerminalEraseBinding
+@@ -701,4 +709,14 @@
+   (return-type "const-char*")
+ )
+ 
++;; From ../src/reaper.h
++(define-function vte_reaper_get_type
++  (c-name "vte_reaper_get_type")
++  (return-type "GtkType")
++)
++
++(define-function reaper_get
++  (c-name "vte_reaper_get")
++  (return-type "VteReaper*")
++)
+ 
+diff -NarU 3 vte-0.16.0.orig/python/vte.override vte-0.16.0/python/vte.override
+--- vte-0.16.0.orig/python/vte.override	2007-02-26 22:05:02.000000000 +0100
++++ vte-0.16.0/python/vte.override	2007-03-14 20:46:12.000000000 +0100
+@@ -7,12 +7,14 @@
+ #include <pygobject.h>
+ #include <gtk/gtk.h>
+ #include "../src/vte.h"
++#include "../src/reaper.h"
+ %%
+ modulename vte
+ %%
+ import gtk.gdk.Pixbuf as PyGdkPixbuf_Type
+ import gtk.MenuShell as PyGtkMenuShell_Type
+ import gtk.Widget as PyGtkWidget_Type
++import gobject.GObject as PyGObject_Type
+ %%
+ override vte_terminal_feed kwargs
+ static PyObject *
+diff -NarU 3 vte-0.16.0.orig/python/vtemodule.c vte-0.16.0/python/vtemodule.c
+--- vte-0.16.0.orig/python/vtemodule.c	2007-02-26 22:05:02.000000000 +0100
++++ vte-0.16.0/python/vtemodule.c	2007-03-14 20:47:12.000000000 +0100
+@@ -25,6 +25,7 @@
+ #include <pygobject.h>
+ #include <pygtk/pygtk.h>
+ #include "../src/vte.h"
++#include "../src/reaper.h"
+ 
+ extern void pyvte_register_classes(PyObject * d);
+ extern PyMethodDef pyvte_functions[];




More information about the arch-commits mailing list